# Gimp.patterns_get_list

    function patterns_get_list(filter: String): Array(Gimp.Pattern) {
        // Gjs wrapper for gimp_patterns_get_list()
    }

Retrieve a complete listing of the available patterns.

This procedure returns a complete listing of available GIMP patterns. Each pattern returned can be used as input to [func@Gimp.context_set_pattern].

filter

  An optional regular expression used to filter the list.

Returns

  The list of patterns. The returned value must be freed with g_free().